## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname environs

%global _description %{expand: \
Environs is a Python library for parsing environment variables.
It allows you to store configuration separate from your code, as per
The Twelve-Factor App (https://12factor.net/config) methodology.}

Name:       python-%{srcname}
Version:    11.0.0
Release:    %autorelease
Summary:    Python library for parsing environment variables
License:    MIT
URL:        https://github.com/sloria/%{srcname}
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description %{_description}

%generate_buildrequires
%pyproject_buildrequires -x tests

%package -n python3-%{srcname}
Summary:    Python library for parsing environment variables

%description -n python3-%{srcname}
%{_description}

%pyproject_extras_subpkg -n python3-%{srcname} django

%package -n python3-%{srcname}-examples
Summary:    Example files for Environs
BuildArch:  noarch
%description -n python3-%{srcname}-examples
%{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md CONTRIBUTING.md

%files -n python3-%{srcname}-examples
%license LICENSE
%doc README.md CHANGELOG.md CONTRIBUTING.md examples


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 11.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 11.0.0-2
- Rebuilt for Python 3.13

* Tue Mar 05 2024 Antonio Trande <sagitter@fedoraproject.org> - 11.0.0-1
- Release 11.0.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Antonio Trande <sagitter@fedoraproject.org> - 10.3.0-1
- Release 10.3.0 (rhbz#2254852)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 9.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 30 2023 Python Maint <python-maint@redhat.com> - 9.5.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 9.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 9.5.0-2
- Rebuilt for Python 3.11

* Sat Feb 05 2022 Antonio Trande <sagitter@fedoraproject.org> - 9.5.0-1
- Release 9.5.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Antonio Trande <sagitter@fedoraproject.org> - 9.4.0-1
- Release 9.4.0

* Tue Nov 23 2021 Antonio Trande <sagitter@fedoraproject.org> - 9.3.5-1
- Release 9.3.5

* Wed Oct 06 2021 Antonio Trande <sagitter@fedoraproject.org> - 9.3.4-1
- Release 9.3.4

* Sat Aug 14 2021 Antonio Trande <sagitter@fedoraproject.org> - 9.3.3-1
- Release 9.3.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 9.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Antonio Trande <sagitter@fedoraproject.org> - 9.3.2-2
- Modify READNE.md

* Thu Jun 24 2021 Antonio Trande <sagitter@fedoraproject.org> - 9.3.2-1
- First commit
## END: Generated by rpmautospec
